Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.SignatureFillSignObject Class Reference
Inheritance diagram for com.foxit.sdk.pdf.SignatureFillSignObject:

## Public Member Functions
| SignatureFillSignObject (FillSignObject fillsign_object)
| Constructor, with parent class object. More...
| SignatureFillSignObject ()
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isInitialsType () throws com.foxit.sdk.PDFException
| Check if current annotation is an initials signature fill-sign object. More...
void | setBitmap (Bitmap bitmap) throws com.foxit.sdk.PDFException
| Set a bitmap. More...
Public Member Functions inherited from com.foxit.sdk.pdf.FillSignObject
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
| FillSignObject ()
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | generateContent () throws com.foxit.sdk.PDFException
| Generate content for current fill-sign object. More...
RectF | getRect () throws com.foxit.sdk.PDFException
| Get rectangle, in PDF coordinate system. More...
int | getType () throws com.foxit.sdk.PDFException
| Get fill-sign type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | move (PointF point, float width, float height, int rotation) throws com.foxit.sdk.PDFException
| Move current fill-sign object. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

Class SignatureFillSignObject is derived from class FillSignObject , and is used to represent a signature or initiials signature fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ SignatureFillSignObject()

com.foxit.sdk.pdf.SignatureFillSignObject.SignatureFillSignObject | ( | FillSignObject | fillsign_object | ) |

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SignatureFillSignObject.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isInitialsType()

boolean com.foxit.sdk.pdf.SignatureFillSignObject.isInitialsType | ( |  | ) | throws com.foxit.sdk.PDFException

Check if current annotation is an initials signature fill-sign object.

Returns
  true means current object is an initials signature fill-sign object, while false means current object is a signature fill-sign object.

## ◆ setBitmap()

void com.foxit.sdk.pdf.SignatureFillSignObject.setBitmap | ( | Bitmap | bitmap | ) | throws com.foxit.sdk.PDFException

Set a bitmap.

Parameters

  [in] | bitmap | A bitmap to be set to current fill-sign object. This should be a valid bitmap object.

Returns
  None.